	xdef	SaveHeapState
	xdef	RestoreHeapState
	xdef	anticrash_handlers
	xdef	error_string
	xdef	saved_addresses
	xdef	anticrash_running

	include "heapsave.asm"
	include "anticrash.asm"


;****************************************************************
; saved_addresses : NB_VECTORS array to save 'protected' vectors
;****************************************************************

saved_addresses
	ds.b	17*4

;****************************************************************
; error_string : pointer to the string describing the error
;****************************************************************
error_string
	dc.l	0

;****************************************************************
; anticrash_running: flag set to 1 if the protection is running
; Particularly it avoids recursive calls to STO-ON
;****************************************************************

anticrash_running:
	dc.w	0

HandleInfo	ds.b	125

adrerr	dc.b	"Address Error",0
illerr	dc.b	"Illegal Instruction",0
zero	dc.b	"Divide By Zero",0
chki	dc.b	"CHK Instruction",0
trapvi	dc.b	"TRAPV Instruction",0
trace	dc.b	"Trace",0
privi	dc.b	"Privilege Violation",0
line11	dc.b	"Line 1111 Emulator",0
spur	dc.b	"Spurious Interrupt",0
mem	dc.b	"Memory Violation",0
tr5	dc.b	"Trap 5",0
tr6	dc.b	"Trap 6",0
tr7	dc.b	"Trap 7",0
tr13	dc.b	"Trap 13",0
tr14	dc.b	"Trap 14",0
tr15	dc.b	"Trap 15",0
abort	dc.b	"Abort by pressing STO-ON",0

	end