typedef unsigned short ushort;
typedef unsigned long ulong;
typedef unsigned char uchar;

#define ROM_TABLE (long*)0xC8
#define NB_ROM_VERSIONS	11

#define VECTOR_TABLE89	(ulong **) 0x212088
#define VECTOR_TABLE92	(ulong **) 0x412088

#define INTERRUPT_TABLE	(ulong **) 0x40000
#define RESET_VECTOR	(ulong *) 0x40004

#define LINE_1010		(ulong **) 0x40028

#define KERNEL_VERSION  (ushort *) 0x40030
#define KERNEL_ID		(ushort *) 0x40032
#define KERNEL_EXEC		(ulong **) 0x40034
#define KERNEL_RELOC	(ulong **) 0x40038
#define KERNEL_RELOC2	(ulong **) 0x4003C
#define KERNEL_UNRELOC	(ulong **) 0x40040
#define KERNEL_UNRELOC2	(ulong **) 0x40044
#define KERNEL_BLOCK	(ushort *) 0x40048

#define DOORSOS_VERSION	(ushort) 0x197
#define DOORSOS_ID		(ushort) 0x4454	// "DT"

#define NB_RAM_CALLS 21

#define CALC		0*2
#define LCDWIDTH	1*2
#define LCD_HEIGTH	2*2
#define ROMbase		3*2
#define LCDLINEBYTES	4*2
#define LEFT		5*2
#define RIGTH		6*2
#define UP			7*2
#define DOWN		8*2
#define UP_RIGTH	9*2
#define DOWN_LEFT	10*2
#define DIAM0ND		11*2
#define LCDSIZE		12*2
#define SHIFT		13*2
#define FONTS		14*2
#define RETURN_VAL	15*2
#define KB_VARS		16*2
#define HEAP		17*2
#define FOLDERLIST	18*2
#define MAINHANDLE	19*2
#define ROM_VER		20*2

/* format de kernel_bin en mots :   */

